# Record Class SyMouseEventOnOver

java.lang.Object
java.lang.Record
com.io7m.jsycamore.api.mouse.SyMouseEventOnOver

Record Components:
  `mousePosition` - The position of the mouse cursor now
  `actual` - The component that is under the mouse

All Implemented Interfaces:
  `SyEventInputType, SyEventType, SyMouseEventType`

public record SyMouseEventOnOver(com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceViewportType> mousePosition, SyComponentType actual) extends Record implements SyMouseEventType
Notify the component that the mouse cursor has just moved over this component.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SyMouseEventOnOver(com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceViewportType> mousePosition, SyComponentType actual)`
  Notify the component that the mouse cursor has just moved over this component.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SyComponentType`
  `actual()`
  Returns the value of the `actual` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceViewportType>`
  `mousePosition()`
  Returns the value of the `mousePosition` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SyMouseEventOnOver

    public SyMouseEventOnOver(com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceViewportType> mousePosition, SyComponentType actual)
    Notify the component that the mouse cursor has just moved over this component.
    Parameters:
      `mousePosition` - The position of the mouse cursor now
      `actual` - The component that is under the mouse

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### mousePosition

    public com.io7m.jtensors.core.parameterized.vectors.PVector2I<SySpaceViewportType> mousePosition()
    Returns the value of the `mousePosition` record component.
    Returns:
      the value of the `mousePosition` record component

  - ### actual

    public SyComponentType actual()
    Returns the value of the `actual` record component.
    Returns:
      the value of the `actual` record component